package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 order_manage
 * 
 * @author wms
 * @date 2022-10-10
 */
@TableName("order_manage")
public class OrderManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工单号 */
    @Excel(name = "工单号")
    @TableField("order_id")
    private String orderId;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("goods_id")
    private String goodsId;

    /** 需求数量 */
    @Excel(name = "需求数量")
    @TableField("need_num")
    private BigDecimal needNum;

    /** 已发数量 */
    @Excel(name = "已发数量")
    @TableField("finish_num")
    private BigDecimal finishNum;

    /** 待发数量 */
    @Excel(name = "待发数量")
    @TableField("wait_num")
    private BigDecimal waitNum;

    /** 实发数量 */
    @Excel(name = "实发数量")
    @TableField("actual_num")
    private BigDecimal actualNum;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("update_time")
    private Date updateTime;

    /** 排序 */
    @Excel(name = "排序")
    @TableField("sort_index")
    private String sortIndex;

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setGoodsId(String goodsId) 
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId() 
    {
        return goodsId;
    }
    public void setNeedNum(BigDecimal needNum) 
    {
        this.needNum = needNum;
    }

    public BigDecimal getNeedNum() 
    {
        return needNum;
    }
    public void setFinishNum(BigDecimal finishNum) 
    {
        this.finishNum = finishNum;
    }

    public BigDecimal getFinishNum() 
    {
        return finishNum;
    }
    public void setWaitNum(BigDecimal waitNum) 
    {
        this.waitNum = waitNum;
    }

    public BigDecimal getWaitNum() 
    {
        return waitNum;
    }
    public void setActualNum(BigDecimal actualNum) 
    {
        this.actualNum = actualNum;
    }

    public BigDecimal getActualNum() 
    {
        return actualNum;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }
    public void setSortIndex(String sortIndex)
    {
        this.sortIndex = sortIndex;
    }

    public String getSortIndex()
    {
        return sortIndex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("goodsId", getGoodsId())
            .append("needNum", getNeedNum())
            .append("finishNum", getFinishNum())
            .append("waitNum", getWaitNum())
            .append("actualNum", getActualNum())
            .append("status", getStatus())
            .append("updateTime", getUpdateTime())
            .append("sortIndex", getSortIndex())
            .toString();
    }
}
